## Table of contents

- Introduction
- Requirements
- Installation
- Configuration
- Features
- Maintainers


## Introduction

**FlexiStyle DXP** is a sleek, modern Drupal theme built on the powerful **FlexiStyle Bootstrap** base theme. Designed for Drupal 9, 10, and 11, **FlexiStyle DXP** offers a minimalist black-and-white UI that makes it ideal for modern, professional websites. Whether you are building a business site, a digital experience platform (DXP), or a portfolio, **FlexiStyle DXP** ensures a clean, responsive, and accessible design.


## Requirements
 - **Drupal Compatibility:** Drupal 9, 10, or 11 is required. Ensure your site is running on a supported version.
 - **PHP Version:** PHP 7.4 or higher (as required by the corresponding Drupal version).
 - **Composer:** Composer must be installed for downloading and managing the theme and its dependencies.
 - **Database:** Any Drupal-compatible database (e.g., MySQL, MariaDB, or PostgreSQL).


## Installation
 - Follow these steps to install and use the **FlexiStyle DXP theme**:
 - **Download the Theme:** install the theme via Composer: `composer require drupal/flexistyle_dxp`
 - **Enable the Theme:** Go to **Appearance** in your Drupal admin panel.
 - Find FlexiStyle DXP in the list and click `Enable and set default`.
 - **Clear Cache:** Clear Drupal's cache to ensure all theme assets are loaded correctly. Use the following command or clear it through the admin UI: `drush cr`.


## Configuration
 After installation, configure the theme to align with your project's needs:
 - **Access Theme Settings:** Go to `Appearance -> Settings -> FlexiStyle DXP.`
 - **Set Global Fonts:** Choose between default system fonts or Google Fonts based on your design requirements.
 - **Enable Icon Fonts:** Toggle support for FontAwesome, Bootstrap Icons, or Google Material Icons from the settings.
 - **Add Custom Body Classes:** Use the Custom Body Classes field to add specific CSS classes for advanced styling.
 - **Set Logo and Favicon:** Upload a custom logo and favicon via the theme settings page for branding.
 - **Customize Layouts:** Use the Drupal Layout Builder to configure and customize page layouts.
 - **Add Custom CSS/JS:** Use the theme settings to include custom CSS or JavaScript for unique styling or functionality.
 - **Save Changes:** After making adjustments, click **Save Configuration** to apply your changes.


## Features
 - **Compatibility:** Fully compatible with Drupal 9, 10, and 11.
 - **Minimalist Design:** A professional black-and-white UI that can be easily customized.
 - **Responsive Layout:** Optimized for mobile and tablet devices.
 - **Bootstrap Integration:** Built on FlexiStyle Bootstrap, providing responsive grid systems and UI components.
 - **FontAwesome Icons:** Fully supports the latest version of FontAwesome for rich iconography.
 - **Global Settings:**
   - Default system fonts
   - Google Fonts
   - Icon Fonts (FontAwesome, Bootstrap Icons, Google Material Icons)
 - Add custom body classes for advanced styling.
 - **Customizable:** Easy-to-use settings for customizing layout and appearance.
 - **Accessibility:** Adheres to accessibility best practices.


## Maintainers

- Anoop Singh - [anoopsingh92](https://www.drupal.org/u/anoopsingh92)
